
precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;


uniform float CC_axial;
uniform float CC_strengthSize;

void main()
{
    //CC_axial: xy:0.0 x:1.0 y:2.0
    //max strength 10
    vec4 color1;
	if(CC_TextureAlpha == 0.0) {
        color1 = texture2D(CC_Texture0, v_texCoord);
    } else {
        color1 = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        color1.rgb *= color1.a; // premultiply alpha channel
    }

    float rang = CC_strengthSize * 0.01;
    float count = 0.0;
    for(float  i = 0.001;i<= 0.1;i+=0.001){
        if(i >= rang){
            break;
        }
        count += 1.0;
	   if(CC_axial == 0.0){
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x-i,v_texCoord.y)) * (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x-i,v_texCoord.y-i))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x-i,v_texCoord.y+i))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x+i,v_texCoord.y))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x+i,v_texCoord.y-i))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x+i,v_texCoord.y+i))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x,v_texCoord.y+i))* (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x,v_texCoord.y-i))* (1.0-i));
       }else if(CC_axial == 1.0){
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x-i,v_texCoord.y)) * (1.0-i));
           color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x+i,v_texCoord.y))* (1.0-i));
       }else if(CC_axial == 2.0){
            color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x,v_texCoord.y+i))* (1.0-i));
            color1 += (texture2D(CC_Texture0, vec2(v_texCoord.x,v_texCoord.y-i))* (1.0-i));
       }
    }
     float  value = 0.0;
    if(CC_axial == 0.0){
          value = count * 8.0 + 1.0;
    }else{
          value = count * 2.0 + 1.0;
    }

    color1 /= value;
    color1 = color1 * v_fragmentColor;
    gl_FragColor = color1;
}
