
precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    vec4 texColor;
    if(CC_TextureAlpha == 0.0) {
        texColor = texture2D(CC_Texture0, v_texCoord);
    } else {
        texColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        texColor.rgb *= texColor.a; // premultiply alpha channel
    }
	gl_FragColor = texColor * v_fragmentColor;
	float gray = (gl_FragColor.r + gl_FragColor.g + gl_FragColor.b) * (1.0 / 3.0);
	gl_FragColor = vec4(gray * 0.8, gray * 0.8, gray * 0.8, gl_FragColor.a * (gray + 0.1));
}

