precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    vec4 texColor;
    if(CC_TextureAlpha == 0.0) {
        texColor = texture2D(CC_Texture0, v_texCoord);
    } else {
        texColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        texColor.rgb *= texColor.a; // premultiply alpha channel
    }
    vec4 normalColor = v_fragmentColor * texColor;
    normalColor.r = normalColor.r * 0.97;
    normalColor.g = normalColor.g * 0.8;
    normalColor.b = normalColor.b * 0.89;
	normalColor.a = normalColor.a * 0.45;
	
    gl_FragColor = normalColor;
}

