precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec2 CC_gradparam;
uniform vec2 CC_gradparamY;
void main()
{
   vec2 gradpercent = CC_gradparam;
   vec2 gradpercentY = CC_gradparamY;
   vec4 color;   		     
   if(CC_TextureAlpha == 0.0) {
        color = texture2D(CC_Texture0, v_texCoord);
    }else{
		color = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        color.rgb *= color.a; // premultiply alpha channel
	}   
   float factor1 = gradpercent.x;
   float factor2 = (gradpercent.y <= gradpercent.x) ? 1.0 : gradpercent.y;
   float texCoord = v_texCoord.x;
   float isUpdateColor = (texCoord < factor1 || texCoord > factor2) ? 1.0 : 0.0;
   float t = (isUpdateColor == 1.0 && texCoord > factor2) ? 1.0 - texCoord : texCoord;
   float factor = (isUpdateColor == 1.0 &&  texCoord > factor2) ? 1.0 - factor2 : factor1;
   factor = factor == 0.0 ? 1.0 : factor;
   color *= (isUpdateColor == 1.0) ? (t/factor) : 1.0; 
        
   gl_FragColor = v_fragmentColor * color;
	
}
