
precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    vec4 texColor;
    if(CC_TextureAlpha == 0.0) {
        texColor = texture2D(CC_Texture0, v_texCoord);
    } else {
        texColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        texColor.rgb *= texColor.a; // premultiply alpha channel
    }
    vec4 normalColor = v_fragmentColor * texColor;
	normalColor *= vec4(0.75, 1, 0.75, 1);
	normalColor.b += normalColor.a * 0.3;
    gl_FragColor = normalColor;
}

