precision mediump float;


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
    vec4 texColor;
    if(CC_TextureAlpha == 0.0) {
        texColor = texture2D(CC_Texture0, v_texCoord);
    } else {
        texColor = vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
        texColor.rgb *= texColor.a; // premultiply alpha channel
    }

	gl_FragColor = texColor * v_fragmentColor;
    gl_FragColor = vec4(gl_FragColor.r * 1.3, gl_FragColor.g * 1.25, gl_FragColor.b* 1.05, gl_FragColor.a * 1.1);

	
}

