//
// Created by 王银报 on 2018/6/4.
//

#ifndef LILITHSDKPROJ_JNI_UTILS_H
#define LILITHSDKPROJ_JNI_UTILS_H

#include <jni.h>
#include <string>



namespace LLHUni
{
    class JniUtils
    {
    public:
        static const char *RetainCStr(const char *str);
        static std::string JStrToStr(JNIEnv *env, jstring jstr);
        static const char *JStrToCStr(JNIEnv *env, jstring jstr);
        static jstring StrToJStr(JNIEnv *env, const std::string &str);
        static jstring CStrToJStr(JNIEnv *env, const char *str);
        static jbyteArray  StrToJByteArray(JNIEnv *env, const std::string &str);
        static const char *JByteArrayToCharArray(JNIEnv *env, jbyteArray byteArray);
        static jbyteArray CharArrryToJByteArray(JNIEnv *env, const char *charArray, int len);
        static int GetByteArrayLen(JNIEnv *env, jarray jArray);
        static jobjectArray CStrArrayToJobjectArray(JNIEnv *env, const char **strs, size_t length);
    };
}

#endif //LILITHSDKPROJ_JNI_UTILS_H
